<script setup>
import { useThemeStore } from '@/stores/ThemeStore'
import { useAppStore, SignInStateType } from '@/stores/AppStore'

// loads the app
const appStore = useAppStore()
appStore.setup()
</script>


<script>
import { useDialogStore } from '@/stores/DialogStore'
import DialogBox from '@/DialogBox.vue'

export default {

	components: {
		DialogBox,
	},

	data() {
		return {
			appStore: useAppStore(),
		}
	},

	mounted() {
		// connects dialogStore with dialogBox UI
		const dialogStore = useDialogStore()
		dialogStore.box = this.$refs.dialogBox

		// reloads theme
		const themeStore = useThemeStore()
		themeStore.change(+localStorage.getItem('theme') || 0)
	},

	i18n: {
		messages: {
			en: {
			},
			th: {
			},
		},
	},

}
</script>


<template>
	<!-- for loading... -->
	<AppBoxTiny v-if="this.appStore.state === SignInStateType.NowLoading" :title="$t('wait')">
	</AppBoxTiny>

	<!-- loaded -->
	<router-view v-else></router-view>

	<!-- support UI for dialogStore -->
	<DialogBox ref="dialogBox"></DialogBox>
</template>


<style>
@import "@/assets/common.css";

html,
body,
#app {
	margin: 0;
	padding: 0;
	height: 100%;
}
</style>
